
# A raiz exportada pelo servidor.
ROOT_DIR /tmp

# O tamanho do buffer usado da criacao das classes java de leitura ao disco (no metodo de copia)
BUFFERED_STREAM_SIZE_READER 1048576

# O tamanho do buffer para leitura do arquivo na funcao de hash
BUFFERED_STREAM_SIZE_HASH 4194304

# O arquivo de log do servidor. Pode ser um caminho relativo ou absoluto.
SERVER_LOG /tmp/server.log

# O arquivo onde o IOR deve ser obtido para realização dos testes automatizados.
IOR_FILE ior.txt

# Tempo maximo de inatividade dos canais CORBA
INACTIVITY_LIMIT 600000

# Habilita o modo de debug e permite que clientes encerrem a execucao do servidor.
DEBUG_MODE TRUE

## Configuracoes dos metodos de copia

ENABLE_EXTRA_COPY_METHODS false

# A porta onde o servidor de copia NIO bloqueante deve ser iniciado
BLOCKING_NIO_PORT 50000

# A porta onde o servidor de copia NIO bloqueante deve ser iniciado
BLOCKING_NIO_SMALL_BUFFER_PORT 50001

SMALL_BUFFER_SIZE = 16384

# A porta onde o servidor de copia NIO bloqueante deve ser iniciado
BLOCKING_NIO_REGULAR_BUFFER_PORT 50002

REGULAR_BUFFER_SIZE = 32768

# A porta onde o servidor de copia NIO bloqueante deve ser iniciado
BLOCKING_NIO_LARGE_BUFFER_PORT 50003

LARGE_BUFFER_SIZE = 65536

# A porta onde o servidor de copia NIO bloqueante (com suporte a multiplas streams) deve ser iniciado
STREAM_BLOCKING_NIO_PORT 50004

# O numero de canais a serem utilizados nas copias
NUM_CHANNELS 2

# A porta onde o servidor de copia NIO nao bloqueante deve ser iniciado
NON_BLOCKING_NIO_PORT 50005

# O caminho para o cliente FTP
FTP_CLIENT_BINARY /usr/bin/lftp
#FTP_CLIENT_BINARY /home/prj/csbase/mnery/lftp-3.1.3/src/lftp

PURE_FTP_PORT 2121

# Caminho para o scp
SCP_BINARY /usr/bin/scp

FILE_SEPARATOR /

USER
## Fim das "Configuracoes dos metodos de copia"
